//
//	BillCompletedRequestModel.swift
//
//	Create by 云霄 曹 on 15/1/2018
//	Copyright © 2018. All rights reserved.

import Foundation 
import SwiftyJSON


open class BillCompletedRequestModel : NSObject{

    var brokenTime : String!
    var descriptionField : String!
    var device : UCN!
    var finish : Bool!
    var finishNote : String!
    var finishTime : String!
    var finishUser : UCN!
    var level : String!
    var position : UCN!
    var receiveTime : String!
    var reportUser : UCN!
    var requestTime : String!
    var serviceType : String!
    var source : String!
    var state : String!
    var uuid : String!
    var version : Int!
    var workNo : String!
    
    
    /**
     * Instantiate the instance using the passed json values to set the properties values
     */
    init(fromJson json: JSON!){
        if json.isEmpty{
            return
        }
        brokenTime = json["brokenTime"].stringValue
        descriptionField = json["description"].stringValue
        let deviceJson = json["device"]
        if !deviceJson.isEmpty{
            device = UCN(fromJson: deviceJson)
        }
        finish = json["finish"].boolValue
        finishNote = json["finishNote"].stringValue
        finishTime = json["finishTime"].stringValue
        let finishUserJson = json["finishUser"]
        if !finishUserJson.isEmpty{
            finishUser = UCN(fromJson: finishUserJson)
        }
        level = json["level"].stringValue
        let positionJson = json["position"]
        if !positionJson.isEmpty{
            position = UCN(fromJson: positionJson)
        }
        receiveTime = json["receiveTime"].stringValue
        let reportUserJson = json["reportUser"]
        if !reportUserJson.isEmpty{
            reportUser = UCN(fromJson: reportUserJson)
        }
        requestTime = json["requestTime"].stringValue
        serviceType = json["serviceType"].stringValue
        source = json["source"].stringValue
        state = json["state"].stringValue
        uuid = json["uuid"].stringValue
        version = json["version"].intValue
        workNo = json["workNo"].stringValue
    }
    
    /**
     * Returns all the available property values in the form of [String:Any] object where the key is the approperiate json key and the value is the value of the corresponding property
     */
    func toDictionary() -> [String:Any]
    {
        var dictionary = [String:Any]()
        if brokenTime != nil{
            dictionary["brokenTime"] = brokenTime
        }
        if descriptionField != nil{
            dictionary["description"] = descriptionField
        }
        if device != nil{
            dictionary["device"] = device.toDictionary()
        }
        if finish != nil{
            dictionary["finish"] = finish
        }
        if finishNote != nil{
            dictionary["finishNote"] = finishNote
        }
        if finishTime != nil{
            dictionary["finishTime"] = finishTime
        }
        if finishUser != nil{
            dictionary["finishUser"] = finishUser.toDictionary()
        }
        if level != nil{
            dictionary["level"] = level
        }
        if position != nil{
            dictionary["position"] = position.toDictionary()
        }
        if receiveTime != nil{
            dictionary["receiveTime"] = receiveTime
        }
        if reportUser != nil{
            dictionary["reportUser"] = reportUser.toDictionary()
        }
        if requestTime != nil{
            dictionary["requestTime"] = requestTime
        }
        if serviceType != nil{
            dictionary["serviceType"] = serviceType
        }
        if source != nil{
            dictionary["source"] = source
        }
        if state != nil{
            dictionary["state"] = state
        }
        if uuid != nil{
            dictionary["uuid"] = uuid
        }
        if version != nil{
            dictionary["version"] = version
        }
        if workNo != nil{
            dictionary["workNo"] = workNo
        }
        return dictionary
    }
}
